BuiltinFunctions
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class BuiltinFunctions

    java.lang.Object
      org.postgresql.pljava.jdbc.BuiltinFunctions

    public class BuiltinFunctions

extends java.lang.Object

PostgreSQL builtin functions

Field Summary
`static java.lang.String` | `ABS`
`static java.lang.String` | `ACOS`
`static java.lang.String` | `ASCII`
`static java.lang.String` | `ASIN`
`static java.lang.String` | `ATAN`
`static java.lang.String` | `ATAN2`
`static java.lang.String` | `CEILING`
`static java.lang.String` | `CHAR`
`static java.lang.String` | `CONCAT`
`static java.lang.String` | `COS`
`static java.lang.String` | `COT`
`static java.lang.String` | `CURDATE`
`static java.lang.String` | `CURTIME`
`static java.lang.String` | `DATABASE`
`static java.lang.String` | `DAYNAME`
`static java.lang.String` | `DAYOFMONTH`
`static java.lang.String` | `DAYOFWEEK`
`static java.lang.String` | `DAYOFYEAR`
`static java.lang.String` | `DEGREES`
`static java.lang.String` | `EXP`
`static java.lang.String` | `FLOOR`
`static java.lang.String` | `HOUR`
`static java.lang.String` | `IFNULL`
`static java.lang.String` | `INSERT`
`static java.lang.String` | `LCASE`
`static java.lang.String` | `LEFT`
`static java.lang.String` | `LENGTH`
`static java.lang.String` | `LOCATE`
`static java.lang.String` | `LOG`
`static java.lang.String` | `LOG10`
`static java.lang.String` | `LTRIM`
`static java.lang.String` | `MINUTE`
`static java.lang.String` | `MOD`
`static java.lang.String` | `MONTH`
`static java.lang.String` | `MONTHNAME`
`static java.lang.String` | `NOW`
`static java.lang.String` | `PI`
`static java.lang.String` | `POWER`
`static java.lang.String` | `QUARTER`
`static java.lang.String` | `RADIANS`
`static java.lang.String` | `RAND`
`static java.lang.String` | `REPEAT`
`static java.lang.String` | `REPLACE`
`static java.lang.String` | `RIGHT`
`static java.lang.String` | `ROUND`
`static java.lang.String` | `RTRIM`
`static java.lang.String` | `SECOND`
`static java.lang.String` | `SIGN`
`static java.lang.String` | `SIN`
`static java.lang.String` | `SPACE`
`static java.lang.String` | `SQRT`
`static java.lang.String` | `SUBSTRING`
`static java.lang.String` | `TAN`
`static java.lang.String` | `TRUNCATE`
`static java.lang.String` | `UCASE`
`static java.lang.String` | `USER`
`static java.lang.String` | `WEEK`
`static java.lang.String` | `YEAR`

Constructor Summary
`BuiltinFunctions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ABS

    public static final java.lang.String ABS

See Also:
  Constant Field Values

### ACOS

    public static final java.lang.String ACOS

See Also:
  Constant Field Values

### ASIN

    public static final java.lang.String ASIN

See Also:
  Constant Field Values

### ATAN

    public static final java.lang.String ATAN

See Also:
  Constant Field Values

### ATAN2

    public static final java.lang.String ATAN2

See Also:
  Constant Field Values

### CEILING

    public static final java.lang.String CEILING

See Also:
  Constant Field Values

### COS

    public static final java.lang.String COS

See Also:
  Constant Field Values

### COT

    public static final java.lang.String COT

See Also:
  Constant Field Values

### DEGREES

    public static final java.lang.String DEGREES

See Also:
  Constant Field Values

### EXP

    public static final java.lang.String EXP

See Also:
  Constant Field Values

### FLOOR

    public static final java.lang.String FLOOR

See Also:
  Constant Field Values

### LOG

    public static final java.lang.String LOG

See Also:
  Constant Field Values

### LOG10

    public static final java.lang.String LOG10

See Also:
  Constant Field Values

### MOD

    public static final java.lang.String MOD

See Also:
  Constant Field Values

### PI

    public static final java.lang.String PI

See Also:
  Constant Field Values

### POWER

    public static final java.lang.String POWER

See Also:
  Constant Field Values

### RADIANS

    public static final java.lang.String RADIANS

See Also:
  Constant Field Values

### RAND

    public static final java.lang.String RAND

See Also:
  Constant Field Values

### ROUND

    public static final java.lang.String ROUND

See Also:
  Constant Field Values

### SIGN

    public static final java.lang.String SIGN

See Also:
  Constant Field Values

### SIN

    public static final java.lang.String SIN

See Also:
  Constant Field Values

### SQRT

    public static final java.lang.String SQRT

See Also:
  Constant Field Values

### TAN

    public static final java.lang.String TAN

See Also:
  Constant Field Values

### TRUNCATE

    public static final java.lang.String TRUNCATE

See Also:
  Constant Field Values

### ASCII

    public static final java.lang.String ASCII

See Also:
  Constant Field Values

### CHAR

    public static final java.lang.String CHAR

See Also:
  Constant Field Values

### CONCAT

    public static final java.lang.String CONCAT

See Also:
  Constant Field Values

### INSERT

    public static final java.lang.String INSERT

See Also:
  Constant Field Values

### LCASE

    public static final java.lang.String LCASE

See Also:
  Constant Field Values

### LEFT

    public static final java.lang.String LEFT

See Also:
  Constant Field Values

### LENGTH

    public static final java.lang.String LENGTH

See Also:
  Constant Field Values

### LOCATE

    public static final java.lang.String LOCATE

See Also:
  Constant Field Values

### LTRIM

    public static final java.lang.String LTRIM

See Also:
  Constant Field Values

### REPEAT

    public static final java.lang.String REPEAT

See Also:
  Constant Field Values

### REPLACE

    public static final java.lang.String REPLACE

See Also:
  Constant Field Values

### RIGHT

    public static final java.lang.String RIGHT

See Also:
  Constant Field Values

### RTRIM

    public static final java.lang.String RTRIM

See Also:
  Constant Field Values

### SPACE

    public static final java.lang.String SPACE

See Also:
  Constant Field Values

### SUBSTRING

    public static final java.lang.String SUBSTRING

See Also:
  Constant Field Values

### UCASE

    public static final java.lang.String UCASE

See Also:
  Constant Field Values

### CURDATE

    public static final java.lang.String CURDATE

See Also:
  Constant Field Values

### CURTIME

    public static final java.lang.String CURTIME

See Also:
  Constant Field Values

### DAYNAME

    public static final java.lang.String DAYNAME

See Also:
  Constant Field Values

### DAYOFMONTH

    public static final java.lang.String DAYOFMONTH

See Also:
  Constant Field Values

### DAYOFWEEK

    public static final java.lang.String DAYOFWEEK

See Also:
  Constant Field Values

### DAYOFYEAR

    public static final java.lang.String DAYOFYEAR

See Also:
  Constant Field Values

### HOUR

    public static final java.lang.String HOUR

See Also:
  Constant Field Values

### MINUTE

    public static final java.lang.String MINUTE

See Also:
  Constant Field Values

### MONTH

    public static final java.lang.String MONTH

See Also:
  Constant Field Values

### MONTHNAME

    public static final java.lang.String MONTHNAME

See Also:
  Constant Field Values

### NOW

    public static final java.lang.String NOW

See Also:
  Constant Field Values

### QUARTER

    public static final java.lang.String QUARTER

See Also:
  Constant Field Values

### SECOND

    public static final java.lang.String SECOND

See Also:
  Constant Field Values

### WEEK

    public static final java.lang.String WEEK

See Also:
  Constant Field Values

### YEAR

    public static final java.lang.String YEAR

See Also:
  Constant Field Values

### DATABASE

    public static final java.lang.String DATABASE

See Also:
  Constant Field Values

### IFNULL

    public static final java.lang.String IFNULL

See Also:
  Constant Field Values

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

Constructor Detail

### BuiltinFunctions

    public BuiltinFunctions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT